Results 1 to 10 of 10

Thread: Unable to install ANY packages

  1. #1
    Join Date
    Mar 2013
    Beans
    13

    Exclamation Unable to install ANY packages

    I'm unable to install any packages (from the Software Center and even .deb files from the net) in my new install of Ubuntu 12.10.

    (For the full story of WHY I had to do a new install, see my thread at http://ubuntuforums.org/showthread.php?t=2127246- just in case it could be one of the causes of the problem)

    Well, every time I try to install a package from Software Center, (or, e.g. GoogleChrome browser, a .deb file), I get dependency errors.

    Screenshots below:
    Screenshot from 2013-03-22 12:33:04.pngScreenshot from 2013-03-22 12:33:38.pngScreenshot from 2013-03-22 12:33:48.pngScreenshot from 2013-03-22 12:34:13.pngScreenshot from 2013-03-22 12:34:21.png

    What could be the problem???

  2. #2
    Join Date
    Mar 2011
    Beans
    4
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Unable to install ANY packages

    sudo apt-get -f install and/or sudo dpkg -a --configure

    those commands may help you to resolve that problem

  3. #3
    Join Date
    Feb 2013
    Beans
    Hidden!

    Re: Unable to install ANY packages

    If it is actually a problem with RAM like your previous thread suggests, try updating your system from the command-line with
    Code:
    sudo apt-get update&&sudo apt-get upgrade
    Best do it from a text-only console (there are six of them Ctrl+Alt+F1 through Ctrl+Alt+F6, with Ctrl+Alt+F7 running your GUI session). Command-line tools generally tend to use less memory, so there's a chance that the problem will go away, at least, for a while. BTW, have you tried to run the system with only the new 2GB RAM module installed?

    OTOH, if I knew nothing about your previous problems with RAM, from the screenshots alone I'd suppose that you're trying to install on the wrong architecture (e.g. 64-bit packages on a 32-bit system). Or just the package indexes got corrupted. Then simply remove them:
    Code:
    sudo rm /var/lib/apt/lists/*
    sudo apt-get clean
    sudo apt-get update
    sudo apt-get upgrade
    Last edited by schragge; March 22nd, 2013 at 10:02 AM.

  4. #4
    Join Date
    Sep 2012
    Location
    Gnome12o4/LXQt14o4
    Beans
    Hidden!

    Re: Unable to install ANY packages

    Just sounds like a update is needed. So open a terminal and enter:

    Code:
    sudo apt-get update
    And try installing a package again.

  5. #5
    Join Date
    Mar 2013
    Beans
    13

    Re: Unable to install ANY packages

    Thanks for the advice... I'll try it out.

    As for your question, Schragge- yes, I've run the PC on my new 2gb module- still the same result. I'm beginning to feel that I should change my PC after all- mebbe it is the mobo that's gone kaput.

    --------------------------------------------------

    Update: Rhythmbox is unable to run- it crashes every time.

    On trying to download Fluendo MP3 Plugin, the installation window crashes.

    --------------------------------------------------

  6. #6
    Join Date
    Mar 2013
    Beans
    13

    Re: Unable to install ANY packages

    Ok- sudo apt-get update fied the problem.

    Thanks a lot, everyone.

    But an interesting thing is that I seem to be getting wierd errors in some places- unexplained crashes which occur only maybe once or twice.

    E.g.- VLC didn't download the first time, but downloaded on my second attempt.
    Google Chrome (stable, .deb file) isn't installing, bcse the messgae "Only install this file if you trust its origin' appears over and over again- every time.

    ---------------------------------------------------------------------------------

    Update: Well, Chrome finally did install- after a lot of coaxing.

    But- OK- it seems that at least I'm able to do stuff, although, admittedly, with a lot of problems and errors.

    Thanks a lot guys, for helping me fix my messed up computer.
    Last edited by pallath; March 23rd, 2013 at 08:13 AM.

  7. #7
    Join Date
    Sep 2012
    Location
    Gnome12o4/LXQt14o4
    Beans
    Hidden!

    Re: Unable to install ANY packages

    But an interesting thing is that I seem to be getting wierd errors in some places- unexplained crashes which occur only maybe once or twice.
    I suggest that you start a new thread on this.

    https://wiki.ubuntu.com/UnansweredPo.../SolvedThreads

  8. #8
    Join Date
    Jan 2009
    Location
    ::1
    Beans
    2,461

    Re: Unable to install ANY packages

    Quote Originally Posted by ibjsb4 View Post
    I suggest that you start a new thread on this.
    Please note that the OP has memtest86 errors on his system. See http://ubuntuforums.org/showthread.p...2#post12568602

    HTH

  9. #9
    Join Date
    Jun 2011
    Location
    The Shadow Gallery
    Beans
    6,815

    Re: Unable to install ANY packages

    You have dodgy RAM, reaplce it !
    Feel Free to Bitcoin Tip: 135Rp4pwwYTHEJ4u8bxKaDQiC91N9LUoV2

    Backtrack - Giving machine guns to monkeys since 2006
    Kali-Linux - Adding a grenade launcher to the machine guns since 2013

  10. #10
    Join Date
    Aug 2008
    Beans
    74

    Re: Unable to install ANY packages

    Quote Originally Posted by haqking View Post
    You have dodgy RAM, reaplce it !
    and stop trying to install additional programs until you have the basic Ubuntu 12.10 working correctly. Adding more programs will never fix a broken system.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •